toshset does not support tlsup module (Intrepid)

Bug #269831 reported by Rami Lehti on 2008-09-13
80
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft
Nominated for Hardy by Jonathan Kingston
Nominated for Jaunty by Jonathan Kingston
Intrepid
Medium
Andy Whitcroft
toshset (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Jonathan Kingston
Nominated for Jaunty by Jonathan Kingston
Intrepid
Undecided
Andy Whitcroft

Bug Description

Binary package hint: toshset

Since both toshiba.ko and toshiba_acpi.ko were removed from Intrepid toshset has stopped working for me.
I cannot install the kernel modules because they are not there.
tlsup is installed but toshset does not support this module.

root@rammer 17:27 # toshset ~
required kernel toshiba support not enabled.
[1] 11565 exit 1 toshset

root@rammer 17:39 # lsmod |grep tlsup ~
tlsup 17052 0
input_polldev 11912 1 tlsup
rfkill 17048 5 tlsup,iwl3945
root@rammer 17:39 # lsmod |grep toshiba ~
[1] 11746 done lsmod |
       11747 exit 1 grep toshiba
root@rammer 17:40 # uname -a ~
Linux rammer 2.6.27-3-generic #1 SMP Wed Sep 10 16:02:00 UTC 2008 i686 GNU/Linux
root@rammer 17:42 # dpkg -L linux-image-2.6.27-3-generic|grep toshiba ~
[1] 12294 done dpkg -L linux-image-2.6.27-3-generic |
       12295 exit 1 grep toshiba
root@rammer 17:44 # lsb_release -rd ~
Description: Ubuntu intrepid (development branch)
Release: 8.10

Toshset is required to enable for example bluetooth on this Toshiba M5 laptop.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
Ante Karamatić (ivoks) wrote :

I can confirm this regression. I would suggest rising Importance, since it is a regression and a severe lack of functionality :)

Vincenzo Ciancia (vincenzo-ml) wrote :

Where can I find documentation on the tlsup module? I only find bugs and problems related to this issue, but no documentation, e.g. entries in /proc, anybody?

Ante Karamatić (ivoks) wrote :

tlsup configures bluetooth with rfkill. So, one it is loaded, /sys/class/rfkill/rfkill[1,2] show up. I'm trying to figure it out my self too :/

John Cooper (choffee) wrote :

This may be related to #261318

MichaelTayrov (mtayrov) wrote :

The same trouble with linux-image-2.6.27-7-generic on my Toshiba U200

Alan - thanks for that link.

To the developers - in the mean time, are users really not able to do anything at all to resurect previously supported bluetooth hardware?

I have recompiled kernel 2.6.27 with toshiba and toshiba_acpi drivers as modules and no other changes. I now get the following output:

$ sudo modprobe toshiba
$ sudo modprobe toshiba_acpi
FATAL: Error inserting toshiba_acpi (/lib/modules/2.6.27.2toshiba/kernel/drivers/acpi/toshiba_acpi.ko): Unknown symbol in module, or unknown parameter (see dmesg)

$ sudo toshset -q
toshset: this computer is not supported

What can I do to get toshiba_acpi running myself?

Andy Whitcroft (apw) wrote :

@Andrew Simpson

Can you have a look at the bottom of your dmesg and see what if anything additional was reported there, that is the end of the output of the dmesg command after you have run that sudo modprobe toshiba_acpi. And paste anything you find into this bug for us.

Andy Whitcroft (apw) on 2008-11-16
Changed in linux:
assignee: ubuntu-kernel-team → apw
status: Triaged → In Progress
Andy Whitcroft (apw) wrote :

@Andrew Simpson

I built a kernel with these option enabled and attempted to load the module. That failed with the same message as you saw. Looking at my dmesg this is related to an unknown module option:

 [ 130.201821] toshiba_acpi: Unknown parameter `hotkeys_over_acpi'

This option is specified in /etc/modprobe.d/toshiba_acpi.modprobe, commenting out that option allowed the module to at least probe for toshiba hardware. As I don't have a toshiba to hand I cannot test it further. Could you retest the kernel you built with that option commented out and let us know here whether it works for you.

On Mon, 17 Nov 2008 16:41:01 -0000
Andy Whitcroft <email address hidden> wrote:

> Could you retest the kernel you built with that option
> commented out and let us know here whether it works for you.

Er.. guys. Ubuntu shipped patched version of toshiba_acpi in previous
versions. Check the kernel source of Hardy. If I grab some time, I'll
send a kernel patch with working toshiba_acpi during next 24 hours.

Andy Whitcroft (apw) wrote :

@Ante Karamatić

Spotted that after my last update. Have pulled that forward today and will post up a test kernel for that later on. It wasn't trivial as the procmisc kernel interfaces used by our driver have been deprecated and removed.

Andy Whitcroft (apw) wrote :

Ok I am proposing the reenable the old toshiba_acpi driver, I have ported this forward to the Intrepid proposed kernel and built i386 and amd64 kernels for it. Unfortuanatly due to changes in the base kernel this is not a 100% trivial roll forward so this will need some testing before it can be released officially.

@Andrew Simpson

As I don't actually have the hardware to test them directly it would be helpful you could test the driver in one of these kernel and see if it works for you.

    http://people.ubuntu.com/~apw/lp269831/

I've now managed to get this working. It involved patching and recompiling simply the toshiba_acpi module, then manually installing the module. Since I don't really understand what I'm doing, I don't know if this is the easiest way to get it to work, but it fixed the problem for me.

I've put a step-by-step guide on the Ubuntu forum here: http://ubuntuforums.org/showthread.php?p=6203606#post6203606

To try and answer questions individually in case it's still useful:
Andy Whitcroft: I'd figured out the same as you about commenting out the line in toshiba_acpi.modprobe, however this caused the modprobe to silently fail. No output, but lsmod would not find it.

Ante Karamatić: I guess the patch that shipped is the one I applied? Even though it says 'historic reference,' it's very much needed: http://memebeam.org/free-software/toshiba_acpi/

Apparently because of the patch, it's not possible to load the toshiba and toshiba_acpi modules simultaneously - I don't know what the toshiba one does though, I don't seem to need it. Depending on which is loaded first, the second gives a "device or resource busy" error. I think this is because they both create/use /dev/toshiba ?

Andy Whitcroft: I'll download and try that kernel now.

Andy Whitcroft:
Have installed and booted the kernel you gave. It all works nicely, despite some shenanigans with grub*:

$ lsmod | grep toshiba
toshiba_acpi ....

$ sudo toshset -bluetooth on
bluetooth: attached

$ sudo toshset -bluetooth off
bluetooth: power is off

*grub - tried to overwrite my menu.lst (with yours, maybe?), then didn't correctly update mine to list the new kernel.

Andre Schild (andre-schild) wrote :

Hello Andy,

I did also get this kernel, but it can not load the toshiba_acpi module.
When I try to load the module I recieve:

 sudo modprobe toshiba_acpi
FATAL: Error inserting toshiba_acpi
(/lib/modules/2.6.27-9-generic/kernel/drivers/acpi/toshiba_acpi.ko):
Unknown symbol in module, or unknown parameter (see dmesg)

In the syslog I see this:

Nov 18 18:59:07 laptop2 kernel: [ 1832.269379] toshiba_acpi: Unknown
parameter `hotkeys_over_acpi'

I have not yet compiled the module as Andrew described in the forum,
should it not work without ?

André

Andy Whitcroft schrieb:
> Ok I am proposing the reenable the old toshiba_acpi driver, I have
> ported this forward to the Intrepid proposed kernel and built i386 and
> amd64 kernels for it. Unfortuanatly due to changes in the base kernel
> this is not a 100% trivial roll forward so this will need some testing
> before it can be released officially.
>
> @Andrew Simpson
>
> As I don't actually have the hardware to test them directly it would be
> helpful you could test the driver in one of these kernel and see if it
> works for you.
>
> http://people.ubuntu.com/~apw/lp269831/
>
>

Thanks Andy and Andrew,
I tried that kernel and now I'm able to enable bluetooth again. I'm not sure everithing is working correctly,
for example the Fn+F8 key to enable bluetooth does not work (as it did on hardy) and the brightness (that was not working in intrepid) is working again.
Btw, reverting back to old toshiba_acpi is already proposed in Bug #261318.

Andre,
I think you also have to comment the option in /etc/modprobe.d/toshiba_acpi.modprobe

Andre Schild (andre-schild) wrote :

Thanks,

after commenting the thing in the modprobe as you describe did the trick.
I could load the driver and then also enable bluetooth with the toshset
utility.

For me the brightness keys did work in intrepid (and they still work
with new kernel)

(I have a Tecra A9)

André

Ambrosio Sanchez schrieb:
> Thanks Andy and Andrew,
> I tried that kernel and now I'm able to enable bluetooth again. I'm not sure everithing is working correctly,
> for example the Fn+F8 key to enable bluetooth does not work (as it did on hardy) and the brightness (that was not working in intrepid) is working again.
> Btw, reverting back to old toshiba_acpi is already proposed in Bug #261318.
>
> Andre,
> I think you also have to comment the option in /etc/modprobe.d/toshiba_acpi.modprobe
>
>

Andy Whitcroft (apw) wrote :

@Andre Schild
@Ambriosio Sanchez

You should not have to comment that entry out with the new kernels. Looking at the kernel as built it seems to be missing one part of the fix. I have therefore rebuilt it and pushed up a new kernel. Perhaps you could test with the new kernel (lp269831apw2) at the URL below:

    http://people.ubuntu.com/~apw/lp269831/

@Ambriosio Sanchez

Thanks for the pointer to Bug #261318. I will talk to Ben and coordinate with him, my changes should also fix that bug.

Sameer Morar (smorar) wrote :

Enabling bluetooth using toshset with the test kernel works for me. I have a Toshiba Tecra M4.

DKMS however did fail on installation of the nvidia driver.

Andy Whitcroft (apw) wrote :

@Sameer Morar -- yes you would need the source packages too for DKMS to work. The acpi stuff working is encouraging.

Changed in linux:
assignee: nobody → apw
status: New → Fix Committed
Andy Whitcroft (apw) on 2008-11-19
Changed in toshset:
assignee: nobody → apw
status: New → Invalid
Andy Whitcroft (apw) wrote :

SRU Justification

Impact: acpi keys and bluetooth support on Toshiba laptops non-functional

Patch Description: Roll forward of the existing Hardy UBUNTU specific modifications of the toshiba_acpi kernel module, plus disabling the tlsup module and enabling toshiba_acpi.

Patches:

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-intrepid.git;a=commitdiff;h=ed994f2d975ca22209c4f579de86133a712658d9
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-intrepid.git;a=commitdiff;h=161410ad06d0a19ed8ce53c22efb90d40abaecc1
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-intrepid.git;a=commitdiff;h=5514a973105e445b4dc22e07c3fc81543574504b

Test Case: see bug description

Andy Whitcroft (apw) wrote :

Note that this fix is also expected to fix a number of related Toshiba related issues under several bugs, including bug #22096 and bug #261318.

Changed in linux:
importance: Undecided → Medium
milestone: none → intrepid-updates
Ante Karamatić (ivoks) wrote :

Proposed kernel fixes kernel issue with toshiba_acpi. But there are
still regressions for Toshiba users. Function keys still don't work
like they did in Hardy. This isn't kernel issue. toshset works again
cause there is toshiba_acpi, but I'm unable to enable bluetooth with
function keys.

It's also impossible to suspend to ram with function keys or lock the
screen...

This is Toshiba Satellite Pro U200.

Andy, thank you for your work!

Andre Schild (andre-schild) wrote :

@andy

I just tested the http://people.ubuntu.com/~apw/lp269831/ kernel, and this now works
without changing toshiba_acpi.modprobe.

For me now even bluetooth can be turned on/off via FN+F8, this did not work in hardy.

I think there are some differences in the toshiba laptops series.
The Satelite series have some phoenix bios(The one Ante has) , and the tecra serie with a real toshiba bios.

Perhaps this is why the bluetooth ON/OFF via keys does now work for me, but not for Ante.

André

Martin Pitt (pitti) wrote :

assuming that this isn't a bug in jaunty's toshset as well.

Changed in toshset:
status: New → Invalid
Martin Pitt (pitti) wrote :

Accepted linux into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Ante Karamatić (ivoks) wrote :

U Sri, 19. 11. 2008., u 18:08 +0000, Ante Karamatić je napisao/la:

> Proposed kernel fixes kernel issue with toshiba_acpi. But there are
> still regressions for Toshiba users. Function keys still don't work
> like they did in Hardy. This isn't kernel issue. toshset works again
> cause there is toshiba_acpi, but I'm unable to enable bluetooth with
> function keys.
>
> It's also impossible to suspend to ram with function keys or lock the
> screen...

I just reinstalled Intrepid on my Toshiba and I can confirm that some
function keys do work on U200 - like suspend to ram, wifi/bluetooth
switch, brightness up/down and probably others (like video output
selection) which I was unable to test yet.

It probably didn't work for me before cause I did some changes in
keyboard driver :)

Helminthe (helminthe) wrote :

 Hello - besides a confirmation that the above kernel (lp269831) works perfectly and I now have a fully functional Toshiba U200 laptop (thank you!) - I also need to use Virtualbox / Vmware on the same machine. The patches are not yet in -proposed, I have booted 2.6.27-8-generic. Can I ask for a linux-headers or linux-source package for this kernel (2.6.27-9) ? I realise this is beyond the purpose of the patch, so please point me to the relevant documentation/source repository if available.

charly4711 (karl-h-beckers) wrote :

compiled the kernel myself for just that reason and put the result here:
http://www.jarre-de-the.net/computing/
The three linux-*deb files there should be all you need for DKMS on an i386 platform.

Helminthe (helminthe) wrote :

Thank you - yes they are, and I'll add a "wow" for the response time on this. Receiving a fully packed solution for a personal problem within the hour at 2 AM was far beyond my expectations :)

Sameer Morar (smorar) wrote :

The kernel in -proposed works for me. Thanks.

Andy Whitcroft (apw) wrote :

@Helminthe, @charly4711

The archive has now caught up and the kernel uploaded should now be in -proposed with all the associated source and header packages. Let me know if that one works for you if you get a chance.

Andy Whitcroft (apw) wrote :

I have put together a forward port of this for the Jaunty kernel, could those of you who are able test the kernels at the url below:

    http://people.ubuntu.com/~apw/lp269831-jaunty/

My Toshiba laptop overheats due to the fan not spinning up.
I have a Toshiba Satalite L300D PSLC0E
The problem has only started since the kernel update.

Please can you make these updates still work in all of the release branches.

Launchpad Janitor (janitor) wrote :
Download full text (7.3 KiB)

This bug was fixed in the package linux - 2.6.28-7.18

---------------
linux (2.6.28-7.18) jaunty; urgency=low

  [ Alok Kataria ]

  * SAUCE: (drop after 2.6.29) x86: add a synthetic TSC_RELIABLE feature
    bit
    - LP: #319945
  * SAUCE: (drop after 2.6.29) x86: add X86_FEATURE_HYPERVISOR feature bit
    - LP: #319945
  * SAUCE: (drop after 2.6.29) x86: Hypervisor detection and get tsc_freq
    from hypervisor
    - LP: #319945
  * SAUCE: (drop after 2.6.29) x86: Add a synthetic TSC_RELIABLE feature
    bit.
    - LP: #319945
  * SAUCE: (drop after 2.6.29) x86: Skip verification by the watchdog for
    TSC clocksource.
    - LP: #319945
  * SAUCE: (drop after 2.6.29) x86: VMware: Fix vmware_get_tsc code
    - LP: #319945
  * SAUCE: (drop after 2.6.29) x86: vmware: look for DMI string in the
    product serial key
    - LP: #319945

  [ Andy Whitcroft ]

  * SAUCE: toshiba_acpi -- pull in current -dev version of driver
    - LP: #269831
  * SAUCE: toshiba_acpi -- add acpi hotkey kernel thread
    - LP: #269831
  * move toshiba laptops back from tlsup to toshiba_acpi
    - LP: #269831

  [ Aneesh Kumar K.V ]

  * SAUCE: (revert before 2.6.28.y update) ext4: Fix the delalloc
    writepages to allocate blocks at the right offset.
  * SAUCE: (revert before 2.6.28.y update) ext4: avoid ext4_error when
    mounting a fs with a single bg
  * SAUCE: (revert before 2.6.28.y update) ext4: Don't overwrite
    allocation_context ac_status
  * SAUCE: (revert before 2.6.28.y update) ext4: Add blocks added during
    resize to bitmap
  * SAUCE: (revert before 2.6.28.y update) ext4: Use
    EXT4_GROUP_INFO_NEED_INIT_BIT during resize
  * SAUCE: (revert before 2.6.28.y update) ext4: cleanup mballoc header
    files
  * SAUCE: (revert before 2.6.28.y update) ext4: don't use blocks freed but
    not yet committed in buddy cache init
  * SAUCE: (revert before 2.6.28.y update) ext4: Fix race between
    read_block_bitmap() and mark_diskspace_used()
  * SAUCE: (revert before 2.6.28.y update) ext4: Fix the race between
    read_inode_bitmap() and ext4_new_inode()
  * SAUCE: (revert before 2.6.28.y update) ext4: Use new buffer_head flag
    to check uninit group bitmaps initialization
  * SAUCE: (revert before 2.6.28.y update) ext4: mark the blocks/inode
    bitmap beyond end of group as used
  * SAUCE: (revert before 2.6.28.y update) ext4: Don't allow new groups to
    be added during block allocation
  * SAUCE: (revert before 2.6.28.y update) ext4: Init the complete page
    while building buddy cache
  * SAUCE: (revert before 2.6.28.y update) ext4: Fix s_dirty_blocks_counter
    if block allocation failed with nodelalloc

  [ Hannes Eder ]

  * SAUCE: (drop after 2.6.29) x86: vmware - fix sparse warnings
    - LP: #319945

  [ Luke Yelavich ]

  * hid modules have hyphens instead of underscores in their names

  [ Mark Fasheh ]

  * SAUCE: (revert before 2.6.28.y update) jbd2: Add BH_JBDPrivateStart

  [ Theodore Ts'o ]

  * SAUCE: (revert before 2.6.28.y update) ext4: Add support for non-native
    signed/unsigned htree hash algorithms
  * SAUCE: (revert before 2.6.28.y update) ext4: tone down
    ext4_da_writepages warnings
  * SAUCE: (revert before 2.6.28.y...

Read more...

Changed in linux:
status: In Progress → Fix Released
spip (awood) wrote :

I have posted the following on bug #22096, but perhaps it should have been here:

"I am seeing this on Ubuntu 9.04 -- don't know if it should be re-opened or if a new issue should be created.

I had this issue on 8.04, saw this thread, performed all upgrades (in this case it was the kernel) and then the Fn power keys worked. Now that I've upgraded (reinstalled) to 9.04, the Fn keys are again functionnal.

My laptop is a Toshiba Tecra A8."

fig_wright (fig-wright) wrote :

I have a new installation of Jaunty on a Toshiba M40. I have all of the problems listed above:

$ sudo modprobe toshiba_acpi
FATAL: Error inserting toshiba_acpi (/lib/modules/2.6.28-14-generic/kernel/drivers/acpi/toshiba_acpi.ko): No such device

No hotkeys working, etc. Has this bug been reintroduced?

Steve Langasek (vorlon) wrote :

Please file a separate bug report for your issue. The original problem may be fixed on the model listed in the original bug report, and supporting your model may require separate development work.

tags: added: intrepid
Alex Valavanis (valavanisalex) wrote :

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the report. The bug has been fixed in newer releases of Ubuntu.

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers